Package Details: nordvpn-git r273.9ffda26-1

Git Clone URL: https://aur.archlinux.org/nordvpn-git.git (read-only, click to copy)
Package Base: nordvpn-git
Description: NordVPN client for Linux (Git version)
Upstream URL: https://github.com/NordSecurity/nordvpn-linux
Keywords: nordvpn
Licenses: GPL3
Conflicts: nordvpn-bin, nordvpn-cli-bin, openvpn-nordvpn
Provides: nordvpn
Submitter: wcyat
Maintainer: wcyat
Last Packager: wcyat
Votes: 4
Popularity: 0.111279
First Submitted: 2023-04-07 05:19 (UTC)
Last Updated: 2023-12-31 09:48 (UTC)

Latest Comments

wcyat commented on 2023-10-15 11:00 (UTC)

Sorry to be late. The issue has been fixed by building with docker.

wcyat commented on 2023-08-27 12:09 (UTC)

That's a go dependency problem, you will have to report to upstream.

dbacc commented on 2023-08-27 11:57 (UTC)

Cannot build successfully at the moment with go version 1.21.

" /tmp/go/pkg/mod/github.com/quic-go/quic-go@v0.33.0/internal/qtls/go121.go:5:13: cannot use "The version of quic-go you're using can't be built on Go 1.21 yet. For more details, please see https://github.com/quic-go/quic-go/wiki/quic-go-and-Go-versions." (untyped string constant "The version of quic-go you're using can't be built on Go 1.21 yet. F...) as int value in variable declaration "

wcyat commented on 2023-05-19 14:42 (UTC)

The updated version will remove /var/lib/nordvpn/data/install.dat and /var/lib/nordvpn/data/settings.dat as part of the install script (nordvpn-git.install), if they exist.

edtoml commented on 2023-05-18 16:58 (UTC)

After having nordvpn-bin installed I have found that this build does not work. To fix it two files in '/var/lib/nordvpn/data' need to be removed, those being settings.data and install.dat. These files are recreated when you complete the login process. Note i have found that the xdg command line sesstion does not aways work (due to browers issues at my end). If this happens copy the link from 'Continue' on the 'Great - you're in!' page and manully run 'nordvpn click "<coppied link>" to complete the login. For more info refer to:

https://github.com/NordSecurity/nordvpn-linux/issues/3

edtoml commented on 2023-04-28 22:00 (UTC) (edited on 2023-04-28 22:15 (UTC) by edtoml)

This should also depend on 'wget'. The package builds fine here but gets: nordvpnd[1873]: 2023/04/28 17:19:39 cipher: message authentication failed suspect there is another dependency missing.
Interestingly, nordvpn-bin works.